Bug 779622 - (SOA-1993) Add somekind of caching mechanism to ActionProcessingPipeline for jBPM to improve performance.
Add somekind of caching mechanism to ActionProcessingPipeline for jBPM to imp...
Status: CLOSED NEXTRELEASE
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.0.0 GA
Unspecified Unspecified
urgent Severity urgent
: ---
: 5.1.0.ER2
Assigned To: Kevin Conner
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-16 08:20 EDT by Marek Baluch
Modified: 2011-03-01 23:28 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-01 23:28:19 EST
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-1993 None None None Never

  None (edit)
Description Marek Baluch 2010-03-16 08:20:23 EDT
project_key: SOA

See linked issue.
Comment 1 Marek Baluch 2010-03-16 08:20:59 EDT
Link: Added: This issue depends JBESB-3224
Comment 2 Anne-Louise Tangring 2010-09-10 16:23:31 EDT
Candidate for SOA 5.1.0
Comment 3 Kevin Conner 2010-09-21 10:20:53 EDT
Should have been present in ER1
Comment 4 Marek Baluch 2010-11-02 08:03:57 EDT
Verified on ER3.
Comment 5 David Le Sage 2011-03-01 23:20:25 EST
Temporarily reopening to update release note info.
Comment 6 David Le Sage 2011-03-01 23:28:10 EST
Release Notes Docs Status: Added: Documented as Resolved Issue
Writer: Added: dlesage
Release Notes Text: Added: https://issues.jboss.org/browse/JBESB-3224

To improve jBPM performance, a form of caching has been added to the ActionProcessingPipeline. This was achieved by activating the caching registry interceptor and having its validity period default to the same as that for default registry cache if it is not specified.

Note You need to log in before you can comment on or make changes to this bug.